# Uses of Class
java.util.prefs.Preferences

Packages that use Preferences
Package
Description
java.util.prefs
This package allows applications to store and retrieve user and system preference and configuration data.
jdk.jshell.tool
Provides a mechanism to launch an instance of a Java shell tool.

## Uses of Preferences in java.util.prefs

Subclasses of Preferences in java.util.prefs
Modifier and Type
Class
Description
`class`
`AbstractPreferences`
This class provides a skeletal implementation of the `Preferences` class, greatly easing the task of implementing it.
Methods in java.util.prefs that return Preferences
Modifier and Type
Method
Description
`Preferences`
NodeChangeEvent.`getChild()`
Returns the node that was added or removed.
`Preferences`
PreferenceChangeEvent.`getNode()`
Returns the preference node that emitted the event.
`Preferences`
NodeChangeEvent.`getParent()`
Returns the parent of the node that was added or removed.
`Preferences`
AbstractPreferences.`node(String path)`
Implements the `node` method as per the specification in `Preferences.node(String)`.
`abstract Preferences`
Preferences.`node(String pathName)`
Returns the named preference node in the same tree as this node, creating it and any of its ancestors if they do not already exist.
`Preferences`
AbstractPreferences.`parent()`
Implements the `parent` method as per the specification in `Preferences.parent()`.
`abstract Preferences`
Preferences.`parent()`
Returns the parent of this preference node, or `null` if this is the root.
`static Preferences`
Preferences.`systemNodeForPackage(Class<?> c)`
Returns the preference node from the system preference tree that is associated (by convention) with the specified class's package.
`static Preferences`
Preferences.`systemRoot()`
Returns the root preference node for the system.
`Preferences`
PreferencesFactory.`systemRoot()`
Returns the system root preference node.
`static Preferences`
Preferences.`userNodeForPackage(Class<?> c)`
Returns the preference node from the calling user's preference tree that is associated (by convention) with the specified class's package.
`static Preferences`
Preferences.`userRoot()`
Returns the root preference node for the calling user.
`Preferences`
PreferencesFactory.`userRoot()`
Returns the user root preference node corresponding to the calling user.
Constructors in java.util.prefs with parameters of type Preferences
Modifier
Constructor
Description
``
`NodeChangeEvent(Preferences parent, Preferences child)`
Constructs a new `NodeChangeEvent` instance.
``
`PreferenceChangeEvent(Preferences node, String key, String newValue)`
Constructs a new `PreferenceChangeEvent` instance.

## Uses of Preferences in jdk.jshell.tool

Methods in jdk.jshell.tool with parameters of type Preferences
Modifier and Type
Method
Description
`JavaShellToolBuilder`
JavaShellToolBuilder.`persistence(Preferences prefs)`
Set the storage mechanism for persistent information which includes input history and retained settings.